Bug 1228169 - Review Request: apache-commons-pool2 - Apache Commons Object Pooling Library 2.x series
Summary: Review Request: apache-commons-pool2 - Apache Commons Object Pooling Library ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1228172 1228203
TreeView+ depends on / blocked
 
Reported: 2015-06-04 10:45 UTC by gil cattaneo
Modified: 2015-07-10 19:11 UTC (History)
2 users (show)

Fixed In Version: apache-commons-pool2-2.4.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-10 19:11:37 UTC
msrb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-06-04 10:45:03 UTC
Spec URL: https://gil.fedorapeople.org/apache-commons-pool2.spec
SRPM URL: https://gil.fedorapeople.org/apache-commons-pool2-2.4.1-1.fc20.src.rpm
Description:
The Apache Commons Pool open source software library provides an
object pooling API and a number of object pool implementations.
Version 2 of Apache Commons Pool contains a completely re-written
pooling implementation compared to the 1.x series. In addition
to performance and scalability improvements, version 2 includes
robust instance tracking and pool monitoring.

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9944071

Comment 1 Michal Srb 2015-06-29 08:53:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: apache-commons-pool2-2.4.1-1.fc23.noarch.rpm
          apache-commons-pool2-javadoc-2.4.1-1.fc23.noarch.rpm
          apache-commons-pool2-2.4.1-1.fc23.src.rpm
apache-commons-pool2.noarch: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
apache-commons-pool2.src: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
--> false positives


Requires
--------
apache-commons-pool2 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

apache-commons-pool2-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
apache-commons-pool2:
    apache-commons-pool2
    mvn(org.apache.commons:commons-pool2)
    mvn(org.apache.commons:commons-pool2:pom:)
    osgi(org.apache.commons.pool2)

apache-commons-pool2-javadoc:
    apache-commons-pool2-javadoc



Source checksums
----------------
http://www.apache.org/dist/commons/pool/source/commons-pool2-2.4.1-src.tar.gz :
  CHECKSUM(SHA256) this package     : a51b8721d795f22a139da3a95a3dea9db15c6a86cad3ba3ae05a94986da93247
  CHECKSUM(SHA256) upstream package : a51b8721d795f22a139da3a95a3dea9db15c6a86cad3ba3ae05a94986da93247


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1228169
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


The name of this package could be seen as a bit controversial, but it's not really a compat package. Upstream really tries to distinguish this version from 1.x release line:
- artifact coordinates are "org.apache.commons:commons-pool2"
- classes reside in "org.apache.commons.pool2" package

From that reason I think that the name of the package is reasonable. In future, we hopefully be able to port all our packages to this newer version of commons-pool.

Approved.

Comment 2 gil cattaneo 2015-06-29 08:55:41 UTC
Thanks!

New Package SCM Request
=======================
Package Name: apache-commons-pool2
Short Description: Apache Commons Object Pooling Library 2.x series
Upstream URL: http://commons.apache.org/proper/commons-pool/
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 3 Gwyn Ciesla 2015-06-29 16:00:36 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-06-29 18:39:44 UTC
apache-commons-pool2-2.4.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/apache-commons-pool2-2.4.1-1.fc22

Comment 5 Fedora Update System 2015-06-30 20:21:36 UTC
apache-commons-pool2-2.4.1-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 6 Fedora Update System 2015-07-10 19:11:37 UTC
apache-commons-pool2-2.4.1-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.